function ml = chainml(probx)

% ml = chainml(probx)
% Computation of loglikelihood
% i.e. f(x1,...,xn)
% input:
%	
%	probx		conditional probabilities (cell) {N} x [nk]
%			f(xt|x1....xt-1)
% output:
%
%  	ml		loglikelihood  value [N]
%
% See also CONDFORWARD

% initializations
% ---------------

N = length(probx);		        % sample size 
ml = zeros(N,1);

for n = 1:N			% loop on samples
	ml(n) = sum(log(probx{n}));
end
	
	
 
