function S = chainmodlkCk(Wk,Denk)

% S = chainmodlkCk(Wk,Denk)
% Variance matrices for the model lkCk.
% input:
%	Wk	scattering matrices for all clusters [d,d,k]
%	Denk	denominators associated with Wk [k]

% output:
%	S	variance matrices [d,d,k]

[d,d,k] = size(Wk);
S = zeros(d,d,k);
for ik = 1:k
  S(:,:,ik) = Wk(:,:,ik) / Denk(ik);
end
