function [totalz,mu] = estimuc(x,z)

% [totalz,mu] = estimuc(x,z)
% Estimate centers.
% input:
% 	x	data (cell) {N} x [nk,d]
% 	z	conditional probabilities of hidden states
%		(cell) {N} x [nk,k]
% output:
%	mu	centers  value [k,d]
%	totalz	denominators of mu(k,:) value [k]

N = length(x);		% sample size 
d = size(x{1},2);	% dimension of data
k = size(z{1},2);	% states 

totalmu = zeros(k,d,N);	
totalz = zeros(k,N);	
% totalmu ./  totalz = estimated centers for each element in sample

for n = 1:N			% loop on sample
	nk = size(z{n},1);	% length of nth sequence
	totalmu(:,:,n) = (z{n})' * x{n};
	totalz(:,n) = (z{n})' * ones(nk,1);
end;

totalz = sum(totalz,2);

if all(totalz)
%	for ik = 1:k
%		mu(ik,:) = sum(totalmu(ik,:,:), 3) / totalz(ik,1);
%	end;

        mu = ((1 ./ totalz) * ones(1,d)) .* sum(totalmu,3);

else
	 fprintf(1,'\n at least one state unused; can''t estimate centers\n');
	 mu = [];
end


