function [z_zsuiv,z] = chainlab2bin(t,k)

% [z_zsuiv,z] = chainlab2bin(t,k)
% Binary partition from label partition for Markov chains
% input:
%	t	  hidden states   (cell) {N} x [nk]
%	k	  number of states
% output:
%       z_zsuiv   binary transitions (cell) {N} x [k,k,nk-1]
%                 if [i,j] == find(z_zsuiv{n}(:,:,t)) then 
%                 transition from state i to state j
%	z         binary partition (cell) {N} [nk,k]

N = length(t);

for n = 1:N,
  
     nk = length(t{n});     % length of nth sequence

     z{n} = ( (t{n} * ones(1,k)) == (ones(nk,1)*[1:k]) );
 
     for r = 1:nk-1,

           z_zsuiv{n}(:,:,r) = (z{n}(r,:)'*ones(1,k)) .* ...
                       (ones(k,1)*z{n}(r+1,:)); 
     end

end
