function [t,logt] = condprob(logf,logsumf)

% [t,logt] = condprob(logf,logsumf)
% Conditional probabilities of belonging to clusters.
% input:
%	logf	        log components density [n,k]
%	logsumf 	log mixture density [n]
% output:
%	t	conditional probabilities [n,k]
%	logt	log conditional probabilities [n,k]

[n,k] = size(logf);			% number of clusters
logt = logf - logsumf*ones(1,k);	% logt [n,k]
t = exp(logt);			% t [n,k]
