function p = estimp(nk,model)

% p = estimp(nk,model)
% Estimate proportions.
% input:
%	nk	sample size of the k clusters [k]
%	model	model 'plI', 'pklI', 'pklkDAkD', 'plB', etc.
% output:
%	p	mixing proportions [k]

switch model(1:2)

  case 'pk'			% free proportions
    p = nk / sum(nk);
  otherwise			% equal proportions
    k = length(nk);
    p = ones(size(nk)) / k;

end
