function z = labels(t,zknown)

% z = labels(t[,zknown])
% Labels of the estimated partition.
% input:
%	t	(log) conditional probabilities [n,k]
%	zknown	known labels [n] OPTIONAL
%		(NaN values allowed for unknown labels)
% output:
%	z	estimated labels [n]  

[maxt,z] = max(t,[],2);			% estimated partition

if nargin == 2				% zknown supplied ?
  wherenoNaN = ~isnan(zknown);
  z(wherenoNaN) = zknown(wherenoNaN);	%  z is equal to zknown where no NaN
end
