% Mixture functions.
%
% Normal mixture functions.
%   normixem    - Algorithms EM, CEM or SEM in the normal model-based.
%   normixem1   - One algorithm xem in the normal case: em, cem or sem.
%   scatmat     - Within cluster scattering matrices.
%   normixpdf   - Normal components and mixture density.
%   Sbadcond    - Test if badly conditioned variance matrices.
%   decompS     - Eigenvalue decomposition of the variances matrices.
%   normixarg   - Control arguments of normixem.
%   normixrnd   - A n-sample simulated from the normal mixture parameters.
%   modlI       - Variance matrices for the model lI.
%   modlkI      - Variance matrices for the model lkI.
%   modlB       - Variance matrices for the model lB.
%   modlkB      - Variance matrices for the model lkB.
%   modlBk      - Variance matrices for the model lBk.
%   modlkBk     - Variance matrices for the model lkBk.
%   modlC       - Variance matrices for the model lC.
%   modlkC      - Variance matrices for the model lkC.
%   modlCk      - Variance matrices for the model lCk.
%   modlkCk     - Variance matrices for the model lkCk.
%   modlDAkD    - Variance matrices for the model lDAkD.
%   modlkDAkD   - Variance matrices for the model lkDAkD.
%   modlDkADk   - Variance matrices for the model lDkADk.
%   modlkDkADk  - Variance matrices for the model lkDkADk.
%   flury       - Minimization of the "F" criterion by Flury's algorithm
%   estimu      - Estimate centers.
%   estimS      - Estimate variance matrices.
%   normixinit  - Initialize normal mixture parameters from parameters specifications.
%   normixdf    - Degrees of freedom in the normal model-based.
%   normixcrit  - Criteria value in the normal model-based.
%   normixKL    - Kullback-Leibler divergence in the normal mixture context.
%   normixcla   - Estimated theoretical misclassification rate from the normal mixture parameters.

