function Sko = Sbadcond(S)

% Sko = Sbadcond(S) 
% Test if badly conditioned variance matrices.
% input:
%	S	variance matrices [d,d,k]
% output:
%	Sko	1-badly conditioned, 0-no

[d,d,k] = size(S);
Sko = 0;
for ik = 1:k
  rcondSk = rcond(S(:,:,ik));
  if (rcondSk < 1e-10) | ~isfinite(rcondSk)
    Sko = 1;
    return
  end
end
