function [l,D,A] = decompS(S)

% [l,D,A] = decompS(S)
% Eigenvalue decomposition of the variances matrices.
% input:
%	S	variance matrices [d,d,k]
% output:
%	l	volumes [k]
%	D	orientation matrices [d,d,k]
%	A	shape matrices [d,d,k]

[d,d,k] = size(S);
l = zeros(k,1);
D = S;
A = S;
invd = 1/d;

for ik = 1:k
  l(ik) = (det(S(:,:,ik)))^invd;
  [D(:,:,ik),A(:,:,ik),tmp] = svd(S(:,:,ik));
  A(:,:,ik) = A(:,:,ik)/l(ik);
end
