function O = estimO(x,t,v,nk)

% O = estimO(x,t,v,nk)
% Estimate observation matrix.
% input:
%	x	data: [n,d] 
% 	t	conditional probabilities of hidden states [n,k] 
%	v	number of observed values
%	nk	sample size of the k clusters [k] OPTIONAL
% output:
%	O	observation matrix ('np' family) [k,v]

k = size(t,2);	% states 
n = size(t,1);  % sample size
if nargin == 3
  nk = sum(t,1)';
end

binx = ((x(:,1) * ones(1,v)) == (ones(n,1)*[1:v]));
O = t'*binx ./ (nk * ones(1,v));


