function mu = estimu(x,t,nk)

% mu = estimu(x,t[,nk])
% Estimate centers.
% input:
%	x	data [n,d]
%	t	conditional probabilities [n,k]
%	nk	sample size of the k clusters [k] OPTIONAL
% output:
%	mu	centers [k,d]

if nargin == 2
  nk = sum(t,1)';
end

d = length(x(1,:));
mu = t'*x ./ (nk * ones(1,d));
