function S = modlBk(Wk,n)

% S = modlBk(Wk,n)
% Variance matrices for the model lBk.
% input:
%	Wk	scattering matrices for all clusters [d,d,k]
%	n	sample size
% output:
%	S	variance matrices [d,d,k]

[d,d,k] = size(Wk);
invd = 1/d;

B = zeros(d,d,k);
tabdetdiagWk = zeros(k,1);

% diagonal matrices B
% -------------------

for ik = 1:k
  diagWk = diag(diag(Wk(:,:,ik)));
  tabdetdiagWk(ik) = (det(diagWk))^invd;
  B(:,:,ik) = diagWk / tabdetdiagWk(ik);
end

% volume l
% --------

l = sum(tabdetdiagWk)/n;

% variance matrix S
% -----------------

S = l*B;
