function S = modlCk(Wk,n)

% S = modlCk(Wk,n)
% Variance matrices for the model lCk.
% input:
%	Wk	scattering matrices for all clusters [d,d,k]
%	n	sample size
% output:
%	S	variance matrices [d,d,k]

[d,d,k] = size(Wk);
invd = 1/d;

C = zeros(d,d,k);
tabdetWk = zeros(k,1);

% matrices C
% ----------

for ik = 1:k
  tabdetWk(ik) = (det(Wk(:,:,ik)))^invd;
  C(:,:,ik) = Wk(:,:,ik) / tabdetWk(ik);
end

% volume l
% --------

l = sum(tabdetWk)/n;

% variance matrix S
% -----------------

S = l*C;
