function S = modlI(W,k,n)

% S = modlI(W,k,n)
% Variance matrices for the model lI.
% input:
%	W	within cluster scattering matrix [d,d]
%	k	number of clusters
%	n	sample size
% output:
%	S	variance matrices [d,d,k]

d = length(W);
S = (trace(W) / (n*d)) * repmat(eye(d),[1,1,k]);
