function S = modlkCk(Wk,nk)

% S = modlkCk(Wk,nk)
% Variance matrices for the model lkCk.
% input:
%	Wk	scattering matrices for all clusters [d,d,k]
%	nk	sample size of the k clusters [k]
% output:
%	S	variance matrices [d,d,k]

[d,d,k] = size(Wk);
S = zeros(d,d,k);
for ik = 1:k
  S(:,:,ik) = Wk(:,:,ik) / nk(ik);
end
