function S = modlkI(Wk,nk)

% S = modlkI(Wk,nk)
% Variance matrices for the model lkI.
% input:
%	Wk	scattering matrices for all clusters [d,d,k]
%	nk	sample size of the k clusters [k]
% output:
%	S	variance matrices [d,d,k]

d = length(Wk(:,:,1));
k = length(nk);
S = repmat(eye(d),[1,1,k]);
for ik = 1:k
  S(:,:,ik) = trace(Wk(:,:,ik)) / (d*nk(ik)) * S(:,:,ik);
end
