% Hidden Markov trees functions.
%
% Hidden Markov trees functions.
%   treexem           - Algorithms EM, CEM, GIBBS or SEM in the normal model-based.
%   treexem1          - One algorithm xem in the normal case: em, cem, Gibbs or sem.
%   treexmbfpdf       - Normal components and mixture density for scale dependant model.
%   treexarg          - Control arguments of treexem.
%   treexrnd          - A n-sample simulated from the normal Markov tree parameters.
%   estimSHtc         - Estimate variance matrices for scale dependant model. 
%   polymbf           - Routine for estimSHtc
%   estimAt           - Estimate transition matrix.
%   treexpinit        - Initialize Markov tree parameters from parameters specifications.       
%   hiddentree        - Computation of hidden states probabilities.
%   treelab2bin       - Binary partition from label partition.
%   treecondprob      - Conditional probabilities of hidden states. 
%   treecondprobc     - Conditional probabilities of hidden states via conditional algorithm.
%   treeforward       - Forward algorithm and likelihood computation.
%   treebackward      - Backward algorithm.
%   treecondforward   - Conditional forward algorithm.
%   treecondbackward  - Conditional backward algorithm and likelihood computation.
%   treeviterbi       - MAP algorithm.
%   treeviterbilog    - Logarithmic MAP algorithm.
%   treestates        - Restauration step via MAP algorithm .
%   treecl            - Complete data (x,z) loglikelihood computation.
%   mktree            - Makes a tree from a vector of wavelet coefficients.    
%   tree2fwt          - Vectorisation of wavelet coefficients tree (FWT fprmat).
%   tree2vec          - Vectorisation of wavelet coefficients tree.	
%   vec2tree          - Makes a tree from a vector.	
%   replacesubtree    - Replace a subtree of a tree.
%   setsubtreeto      - Sets all values a subtree.
%   extract_tree      - extraction of a subtree from a tree.	  
%   displaytree       - displays a (vectorized) hidden tree.
%   jump              - finds a sequence of most separated subtrees.
%   jump2             - hidden states restoration under constraints.
