function [restree] = extract_tree(tree,root)

% [restree] = extract_tree(tree,root)
% extraction of a subtree rooted in 'root' from a tree
% input:
%	tree		tree cell
%       root            index of root 
% output:
%	restree		tree cell

nb_scales = log(length(tree) + 1) / log(2);   % number of scales in tree
root_scale = floor(log(root)/log(2)) + 1; % scale of 'root' in tree
root_scale = nb_scales - root_scale + 1;
% nb_scales_res = root_scale
 
resvec = zeros(1,2^root_scale-1);

lengths = zeros(1,nb_scales);
index  = ones(1,nb_scales+1);

n = 0;

for scale = root_scale:-1:1,
  for pos = 0:2^(root_scale-scale)-1,
      resvec(2^(root_scale-scale)+pos) = ...
           tree{root*2^(root_scale-scale)+pos}.data;
  end
end

restree = vec2tree(resvec);
