function pos = jump(tree,wi)

% pos = jump(tree,wi)
% finds the sequence of most separated subtrees
% input:
%	tree	        tree cell
%       wi              index of the first element of each scale 
% output:
%       pos             
%
% Example: 
% [wt,wi,wl]=FWT(x,10,MakeQMF('daubechies',2));
% tree = mktree(wt,wi,wl);
% jump(tree,wi);

pos(1) = 1;          % we start at root
depth = log2(length(tree)+1);

model.k=2;
model.fam = 'mbf';
parknown.mu = [0;0];
data = {tree};

% pos = [1 2 5];

% for scale = 4:depth,
for scale = 2:depth,
   t1 = extract_tree(tree,2*pos(scale-1));
   data = {t1};
   bestpar = treexem('x',data,'model',model,'nbxem',3,'cvg','xmlORmaxit',...
   'maxit',70,'parknown',parknown);   
   bestpar = treexem('x',data,'model',model,'nbxem',1,'cvg','xmlORmaxit',...
    'maxit',300,'parknown',parknown,'parinit',bestpar);   
   [ttree,tvec,cml] = treestates(data,bestpar,model); 
   I = displaytree(tvec{1},wi(scale:end)-wi(scale)+1);
   commande = strcat('print -depsc T',num2str(2*pos(scale-1)),'.eps');
   eval(commande);
   n1 = sum(sum(I == 1));
   n2 = sum(sum(I == 2));
   r1 = min(n1,n2) / max(n1,n2)

   t2 = extract_tree(tree,2*pos(scale-1)+1);
   data = {t2};
   bestpar = treexem('x',data,'model',model,'nbxem',3,'cvg','xmlORmaxit',...
   'maxit',70,'parknown',parknown);    
   bestpar = treexem('x',data,'model',model,'nbxem',1,'cvg','xmlORmaxit',...
    'maxit',300,'parknown',parknown,'parinit',bestpar);   
   [ttree,tvec,cml] = treestates(data,bestpar,model);
   I = displaytree(tvec{1},wi(scale:end)-wi(scale)+1); 
   commande = strcat('print -depsc T',num2str(2*pos(scale-1)+1),'.eps');
   eval(commande);
   n1 = sum(sum(I == 1));
   n2 = sum(sum(I == 2));
   r2 = min(n1,n2) / max(n1,n2)

   if r2 < r1
         % t1 is most separated
         pos(scale) = 2*pos(scale-1);
   else
         pos(scale) = 2*pos(scale-1)+1;
   end
   pos
end
