function tree = mktree(wt,index,lengths)

% tree = mktree(wt,index,length)
% Makes a tree from a vector of wavelet coefficients
% Requirement : length(end) == 1 
% input:
%	wt	        vector of wavelet coefficients, resulting from FWT
%       index           index of the first element of each scale 
%       lengths         length of each scale
% output:
%	tree		tree cell

nb_points = sum(lengths) - lengths(end);   % number of nodes
% == sum(lengths) - 1 in principle

% r_index = index(end:-1:1);
n = 0;
tree = cell(nb_points,1);
for scale = length(index)-1:-1:2,
     for pos = 1:lengths(scale),
	 n = n + 1;
         tree{n}.data = wt(index(scale) + pos - 1);      % value of coef.
         tree{n}.p = floor(n/2);                          % parent
	 tree{n}.lc = 2 * n;                             % left child
	 tree{n}.rc = 2 * n + 1;                         % right child
     end
end

% leaves have no children
for pos = 1:lengths(1),
     n = n + 1;
     tree{n}.data = wt(index(1) + pos - 1);          % value of coef.
     tree{n}.p = floor(n/2);                          % parent
     tree{n}.rc = 0;                                 % no right child
     tree{n}.lc = 0;                                 % no left child
end
