function [wt,index,lengths] = tree2fwt(tree)

% wt = tree2fwt(tree)
% vectorisation of wavelet coefficients tree
% input:
%	tree		tree cell
% output:
%	wt	        vector of wavelet coefficients
%       index           index of the first element of each scale 
%       lengths         length of each scale

nb_scales = log(length(tree) + 1) / log(2);   % number of scales
lengths = zeros(1,nb_scales);
index  = ones(1,nb_scales+1);

n = 0;

for scale = 1:nb_scales,
    lengths(scale) = 2^(nb_scales-scale);
    index(scale+1) = index(scale) + lengths(scale);
    for pos = 0:2^(nb_scales-scale)-1,
        n = n+1;
        wt(n) = tree{2^(nb_scales-scale)+pos}.data;
    end
end

index = index(1:nb_scales);
