function tree = vec2tree(x_vec)

% tree = vec2tree(x_vec)
% 
% input:
%	x_vec	        vector of wavelet coefficients
% output:
%	tree		tree cell

nb_points = length(x_vec);
nb_scales = log(nb_points+1) / log(2);

n = 0;
tree = cell(nb_points,1);
for scale = nb_scales:-1:2,
     for pos = 0:2^(nb_scales-scale)-1,
	 n = n + 1;
         tree{n}.data = x_vec(n);                           % value of coef.
         tree{n}.p = floor(n/2);                            % parent
	 tree{n}.lc = 2 * n;                                % left child
	 tree{n}.rc = 2 * n + 1;                            % right child
     end
end

% leaves have no children
for pos = 0:2^(nb_scales-1)-1,
     n = n + 1;
     tree{n}.data = x_vec(n);                       % value of coef.
     tree{n}.p = floor(n/2);                        % parent
     tree{n}.rc = 0;                                % no right child
     tree{n}.lc = 0;                                % no left child
end
